Skip to navigation

Get Visits

Beta

Gets all Visits within a given time range. The return list is ordered by start_time ascending.

IMPORTANT: This endpoint requires a date filter on appointment.startTimestamp to ensure acceptable query performance. Without date filtering, the query can take 50+ seconds on large datasets due to grouping and aggregation operations.

Example filters:

  • appointment.startTimestamp|gt|2024-01-01 - appointments after January 1, 2024
  • appointment.startTimestamp|eq|2024-12-08 - appointments on December 8, 2024
  • appointment.startTimestamp|lt|2024-12-31 - appointments before December 31, 2024

You can combine the date filter with other filters using commas:

  • appointment.startTimestamp|gt|2024-01-01,appointment.status|eq|PENDING

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

page_tokenstringOptional
A token that can be used to retrieve the next or previous page of results
limitintegerOptional
sort_fieldstringOptional

Defaults to appointment.start_time.

sort_directionenumOptional
Defaults to ascending.
Allowed values:
filtersstringOptional

Required: Must include a date filter on appointment.startTimestamp (using gt, lt, or eq operators). Example: appointment.startTimestamp|gt|2024-01-01

Response

This endpoint returns an object.
itemslist of objects
totalinteger
next_page_tokenstringOptional
A token that can be used to retrieve the next or previous page of results
prev_page_tokenstringOptional
A token that can be used to retrieve the next or previous page of results

Errors

400
Bad Request Error